Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemPoolImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.ItemPoolImpl

All Implemented Interfaces
  ItemPool, Pool

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ItemPoolImpl

extends Object
implements ItemPool

Represents a collection of PoolObject(s). The ItemPoolImpl interface provides methods for querying the underlying objects and also to remove objects from the working collection.

Field Summary
`static int` | `INIT_MAP_SIZE` Deprecated See BEA Commerce product offering
`static int` | `LONG` Deprecated See BEA Commerce product offering
`static int` | `SHORT` Deprecated See BEA Commerce product offering

Constructor Summary
`ItemPoolImpl(ItemObjectFactory factory)` Deprecated See BEA Commerce product offering
`ItemPoolImpl(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated See BEA Commerce product offering

Method Summary
`void` | `adjust(List poolObjects, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`void` | `adjust(PoolObject object, AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`static String` | `catMapToString(Map map, int size, int type)` Deprecated See BEA Commerce product offering
`PoolQuery` | `getByPrice(PoolQuery query)` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`Map` | `getCurrentMap()` Deprecated See BEA Commerce product offering
`int` | `getCurrentSize()` Deprecated See BEA Commerce product offering
`AdjustmentDetail` | `getDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object discountID)` Deprecated See BEA Commerce product offering
`Quote` | `getQuote()` Deprecated See BEA Commerce product offering
`static String` | `itemMapToString(Map map)` Deprecated See BEA Commerce product offering
`static String` | `mapToString(Map map)` Deprecated See BEA Commerce product offering
`static String` | `productItemListToString(List list)` Deprecated See BEA Commerce product offering
`void` | `remove(Iterator poolObjects)` Deprecated See BEA Commerce product offering
`void` | `remove(PoolObject poolObject)` Deprecated See BEA Commerce product offering
`void` | `set(ItemObjectFactory factory, com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated See BEA Commerce product offering
`void` | `set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context, Quote quote)` Deprecated See BEA Commerce product offering
`static String` | `skuMapToString(Map map, int size, int type)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`String` | `toString(int type)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHORT

    public static final int SHORT

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### LONG

    public static final int LONG

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### INIT_MAP_SIZE

    public static final int INIT_MAP_SIZE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory)

  Deprecated See BEA Commerce product offering

### ItemPoolImpl

    public ItemPoolImpl(ItemObjectFactory factory,
                        com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                        Quote quote)
                 throws RemoteException,
                        CatalogFinderException,
                        CatalogException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

Method Detail

### set

    public void set(com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws RemoteException,
                    CatalogFinderException,
                    CatalogException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

### set

    public void set(ItemObjectFactory factory,
                    com.bea.commerce.ebusiness.price.service.internal.PricingContext context,
                    Quote quote)
             throws RemoteException,
                    CatalogFinderException,
                    CatalogException

  Deprecated See BEA Commerce product offering

  Throws
    `RemoteException`
    `CatalogFinderException`
    `CatalogException`

### remove

    public void remove(Iterator poolObjects)

  Deprecated See BEA Commerce product offering

  Specified by:
    `remove` in interface `Pool`
  Parameters
    `List` - a set of PoolObjects to be removed from the collection.
  See Also
    `PoolObject`

### remove

    public void remove(PoolObject poolObject)

  Deprecated See BEA Commerce product offering

  Specified by:
    `remove` in interface `Pool`
  Parameters
    `PoolObject` - the object to be removed from the collection.
  See Also
    `PoolObject`

### getCurrentSize

    public int getCurrentSize()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getCurrentSize` in interface `ItemPool`

### getQuote

    public Quote getQuote()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getQuote` in interface `ItemPool`

### getCurrency

    public String getCurrency()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getCurrency` in interface `Pool`

### getDetail

    public AdjustmentDetail getDetail(AdjustmentType type,
                                      Money initialPrice,
                                      Money endPrice,
                                      String computation,
                                      String reason,
                                      Object discountID)

  Deprecated See BEA Commerce product offering

  Specified by:
    `getDetail` in interface `Pool`

### getByPrice

    public PoolQuery getByPrice(PoolQuery query)

  Deprecated See BEA Commerce product offering

  Perform the query as specified by the query object passed in and return the query object with the results added. If the query is satisfied the list of reply sets must have a 1 to 1 correspondence between each query spec for the qualifier or target.

  Specified by:
    `getByPrice` in interface `ItemPool`

### adjust

    public void adjust(PoolObject object,
                       AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

  Specified by:
    `adjust` in interface `Pool`

### adjust

    public void adjust(List poolObjects,
                       AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

  Specified by:
    `adjust` in interface `Pool`

### getCurrentMap

    public Map getCurrentMap()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ItemPool`
  Returns the set of objects that make up the pool.

  Specified by:
    `getCurrentMap` in interface `ItemPool`
  Returns
    List returns the collection of ItemPoolObjects that make up the pool.
  See Also
    `ItemObject`

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(int type)

  Deprecated See BEA Commerce product offering

  Specified by:
    `toString` in interface `ItemPool`

### mapToString

    public static String mapToString(Map map)

  Deprecated See BEA Commerce product offering

### itemMapToString

    public static String itemMapToString(Map map)

  Deprecated See BEA Commerce product offering

### skuMapToString

    public static String skuMapToString(Map map,
                                        int size,
                                        int type)

  Deprecated See BEA Commerce product offering

### catMapToString

    public static String catMapToString(Map map,
                                        int size,
                                        int type)

  Deprecated See BEA Commerce product offering

### productItemListToString

    public static String productItemListToString(List list)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved